# ResultValue0D

Result value representing a 0D result. These results can be equipped with a unit
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **units** | **str** | Optional | Unit of the result |
| **value** | **float** | Optional | The value of the result |
| **dimension** | **int** | Optional | The dimension of the result. Can be null if there is no sensible way of defining the dimension. This field should not be  populate by the user on upsertion. |
| **result_value_type** | **str** | Required | Available values: ResultValue, ResultValueDictionary, ResultValue0D, ResultValueDecimal, ResultValueInt, ResultValueString, ResultValueBool, ResultValueCurrency, CashFlowValue, CashFlowValueSet, ResultValueLifeCycleEventValue, ResultValueDateTimeOffset. |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.lusid.models.ResultValue0D import ResultValue0D

instance = ResultValue0D(
    units="...",  # optional — Unit of the result
    value=0.0,  # optional — The value of the result
    dimension=0,  # optional — The dimension of the result. Can be null if there is no sensible way of defining the dimension. This field should not be  populate by the user on upsertion.
    result_value_type="..."  # required — Available values: ResultValue, ResultValueDictionary, ResultValue0D, ResultValueDecimal, ResultValueInt, ResultValueString, ResultValueBool, ResultValueCurrency, CashFlowValue, CashFlowValueSet, ResultValueLifeCycleEventValue, ResultValueDateTimeOffset.
)
```



[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

